%define upstream_name    common-sense
%define upstream_version 3.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Save a tree AND a kitten, use common::sense!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/common/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Provides:   perl(common::sense)

%description
This module implements some sane defaults for Perl programs, as defined by
two typical (or not so typical - use your common sense) specimens of Perl
coders.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Feb 17 2011 jquelin <jquelin> 3.400.0-1.mga1
+ Revision: 52909
- update to 3.4

* Tue Jan 18 2011 jquelin <jquelin> 3.300.0-1.mga1
+ Revision: 22189
- cleaning spec file
- imported package perl-common-sense

